aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/tools/testing/selftests/damon/debugfs_rm_non_contexts.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/testing/selftests/damon/debugfs_rm_non_contexts.sh')
-rwxr-xr-xtools/testing/selftests/damon/debugfs_rm_non_contexts.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tools/testing/selftests/damon/debugfs_rm_non_contexts.sh b/tools/testing/selftests/damon/debugfs_rm_non_contexts.sh
new file mode 100755
index 000000000000..f3ffeb1343cf
--- /dev/null
+++ b/tools/testing/selftests/damon/debugfs_rm_non_contexts.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0
+
+source _debugfs_common.sh
+
+# Test putting non-ctx files/dirs to rm_contexts file
+# ===================================================
+
+dmesg -C
+
+for file in "$DBGFS/"*
+do
+ (echo "$(basename "$f")" > "$DBGFS/rm_contexts") &> /dev/null
+ if dmesg | grep -q BUG
+ then
+ dmesg
+ exit 1
+ fi
+done